# Uses of Interface
org.eclipse.jface.text.ITextViewer

Packages that use ITextViewer
Package
Description
org.eclipse.compare.contentmergeviewer
Support for compare and merge viewers which show the content side-by-side.
org.eclipse.jface.contentassist
Provides a content assist add-on for implementors of `IContentAssistSubjectControl`.
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.codemining
org.eclipse.jface.text.contentassist
Provides a content assist add-on for an `ITextViewer`.
org.eclipse.jface.text.hyperlink
Provides support for detecting and displaying hyperlinks in `ISourceViewer`s.
org.eclipse.jface.text.information
Provides an information provider add-on for an `ITextViewer`.
org.eclipse.jface.text.link
Application programming interfaces for interaction with the Eclipse text editor's linked position support.
org.eclipse.jface.text.presentation
Provides a presentation reconciler add-on for an `ITextViewer`.
org.eclipse.jface.text.reconciler
Provides a reconciler add-on for an `ITextViewer`.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.jface.text.source.projection
This package provides the UI part for projection documents of which the most important part is the projection viewer.
org.eclipse.jface.text.templates
Application programming interfaces for interaction with the Eclipse text template support.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.console.actions
Application programming interfaces for Eclipse console specific actions.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.
org.eclipse.ui.texteditor.link
Adds a `LinkedModeUI` subclass that is aware of workbench editors.

## Uses of ITextViewer in org.eclipse.compare.contentmergeviewer

Methods in org.eclipse.compare.contentmergeviewer with parameters of type ITextViewer
Modifier and Type
Method
Description
`protected boolean`
TextMergeViewer.`isEditorBacked(ITextViewer textViewer)`
Tells whether the given text viewer is backed by an editor.

## Uses of ITextViewer in org.eclipse.jface.contentassist

Methods in org.eclipse.jface.contentassist with parameters of type ITextViewer
Modifier and Type
Method
Description
`void`
SubjectControlContextInformationValidator.`install(IContextInformation contextInformation, ITextViewer viewer, int offset)`
Deprecated.

## Uses of ITextViewer in org.eclipse.jface.text

Classes in org.eclipse.jface.text that implement ITextViewer
Modifier and Type
Class
Description
`class`
`TextViewer`
SWT based implementation of `ITextViewer` and its extension interfaces.
Methods in org.eclipse.jface.text with parameters of type ITextViewer
Modifier and Type
Method
Description
`static Rectangle`
JFaceTextUtil.`computeArea(IRegion region, ITextViewer textViewer)`
Determines the graphical area covered by the given text region in the given viewer.
`void`
DefaultUndoManager.`connect(ITextViewer textViewer)`
Deprecated.
`void`
IUndoManager.`connect(ITextViewer viewer)`
Connects this undo manager to the given text viewer.
`void`
TextViewerUndoManager.`connect(ITextViewer textViewer)`
`void`
DefaultTextDoubleClickStrategy.`doubleClicked(ITextViewer text)`
`void`
ITextDoubleClickStrategy.`doubleClicked(ITextViewer viewer)`
The mouse has been double clicked on the given text viewer.
`static IRegion[]`
JFaceTextUtil.`getCoveredRanges(ITextViewer viewer, ITextSelection selection)`
Returns the text regions covered by the given selection in the given viewer.
`String`
DefaultTextHover.`getHoverInfo(ITextViewer textViewer, IRegion hoverRegion)`
Deprecated.
As of 3.4, replaced by `ITextHoverExtension2.getHoverInfo2(ITextViewer, IRegion)`
`String`
ITextHover.`getHoverInfo(ITextViewer textViewer, IRegion hoverRegion)`
Deprecated.
As of 3.4, replaced by `ITextHoverExtension2.getHoverInfo2(ITextViewer, IRegion)`
`Object`
ITextHoverExtension2.`getHoverInfo2(ITextViewer textViewer, IRegion hoverRegion)`
Returns the information which should be presented when a hover popup is shown for the specified hover region.
`IRegion`
DefaultTextHover.`getHoverRegion(ITextViewer textViewer, int offset)`
`IRegion`
ITextHover.`getHoverRegion(ITextViewer textViewer, int offset)`
Returns the text region which should serve as the source of information to compute the hover popup display information.
`static int`
JFaceTextUtil.`getOffsetForCursorLocation(ITextViewer viewer)`
Returns the offset in the given viewer that corresponds to the current cursor location.
`static int`
JFaceTextUtil.`getPartialBottomIndex(ITextViewer viewer)`
Returns the last, possibly partially, visible line in the view port.
`static int`
JFaceTextUtil.`getPartialTopIndex(ITextViewer viewer)`
Returns the line index of the first visible model line in the viewer.
`static ILineRange`
JFaceTextUtil.`getVisibleModelLines(ITextViewer viewer)`
Returns the range of lines that is visible in the viewer, including any partially visible lines.
`void`
ITextViewerLifecycle.`install(ITextViewer textViewer)`
Installs a text viewer.
`static boolean`
JFaceTextUtil.`isEmpty(ITextViewer viewer, ITextSelection selection)`
Returns `true` if the text covered by `selection` does not contain any characters in the given viewer.
`static int`
JFaceTextUtil.`modelLineToWidgetLine(ITextViewer viewer, int modelLine)`
Converts a model (i.e.
`static int`
JFaceTextUtil.`widgetLine2ModelLine(ITextViewer viewer, int widgetLine)`
Converts a widget line into a model (i.e.
Constructors in org.eclipse.jface.text with parameters of type ITextViewer
Modifier
Constructor
Description
``
`CursorLinePainter(ITextViewer textViewer)`
Creates a new painter for the given source viewer.
``
`MarginPainter(ITextViewer textViewer)`
Creates a new painter for the given text viewer.
``
`PaintManager(ITextViewer textViewer)`
Creates a new paint manager for the given text viewer.
``
`WhitespaceCharacterPainter(ITextViewer textViewer)`
Creates a new painter for the given text viewer.
``
`WhitespaceCharacterPainter(ITextViewer viewer, boolean showLeadingSpaces, boolean showEnclosedSpaces, boolean showTrailingSpaces, boolean showLeadingIdeographicSpaces, boolean showEnclosedIdeographicSpaces, boolean showTrailingIdeographicSpace, boolean showLeadingTabs, boolean showEnclosedTabs, boolean showTrailingTabs, boolean showCarriageReturn, boolean showLineFeed, int alpha)`
Creates a new painter for the given text viewer and the painter options.

## Uses of ITextViewer in org.eclipse.jface.text.codemining

Methods in org.eclipse.jface.text.codemining with parameters of type ITextViewer
Modifier and Type
Method
Description
`protected CompletableFuture<Void>`
AbstractCodeMining.`doResolve(ITextViewer viewer, IProgressMonitor monitor)`
Returns the future which resolved the content of mining and null otherwise.
`void`
CodeMiningReconciler.`install(ITextViewer textViewer)`
`CompletableFuture<List<? extends ICodeMining>>`
ICodeMiningProvider.`provideCodeMinings(ITextViewer viewer, IProgressMonitor monitor)`
Compute a list of code minings `ICodeMining`.
`final CompletableFuture<Void>`
AbstractCodeMining.`resolve(ITextViewer viewer, IProgressMonitor monitor)`
`CompletableFuture<Void>`
ICodeMining.`resolve(ITextViewer viewer, IProgressMonitor monitor)`
Returns the future to resolve the content of mining, or `CompletableFuture.completedFuture(Object)` if no such resolution is necessary (in which case {#isResolved()} is expected to return `true`).

## Uses of ITextViewer in org.eclipse.jface.text.contentassist

Methods in org.eclipse.jface.text.contentassist with parameters of type ITextViewer
Modifier and Type
Method
Description
`void`
ICompletionProposalExtension2.`apply(ITextViewer viewer, char trigger, int stateMask, int offset)`
Applies the proposed completion to the given document.
`ICompletionProposal[]`
IContentAssistProcessor.`computeCompletionProposals(ITextViewer viewer, int offset)`
Returns a list of completion proposals based on the specified location within the document that corresponds to the current cursor position within the text viewer.
`IContextInformation[]`
IContentAssistProcessor.`computeContextInformation(ITextViewer viewer, int offset)`
Returns information about possible contexts based on the specified location within the document that corresponds to the current cursor position within the text viewer.
`void`
ContentAssistant.`install(ITextViewer textViewer)`
`void`
ContextInformationValidator.`install(IContextInformation contextInformation, ITextViewer viewer, int offset)`
`void`
IContentAssistant.`install(ITextViewer textViewer)`
Installs content assist support on the given text viewer.
`void`
IContextInformationPresenter.`install(IContextInformation info, ITextViewer viewer, int offset)`
Installs this presenter for the given context information.
`void`
IContextInformationValidator.`install(IContextInformation info, ITextViewer viewer, int offset)`
Installs this validator for the given context information.
`boolean`
IContentAssistProcessorExtension.`isCompletionProposalAutoActivation(char c, ITextViewer viewer, int offset)`
Check if the given event should trigger an automatic completion proposal activation
`boolean`
IContentAssistProcessorExtension.`isContextInformationAutoActivation(char c, ITextViewer viewer, int offset)`
Check if the given event should trigger an automatic context info activation
`void`
ICompletionProposalExtension2.`selected(ITextViewer viewer, boolean smartToggle)`
Called when the proposal is selected.
`void`
ICompletionProposalExtension2.`unselected(ITextViewer viewer)`
Called when the proposal is unselected.

## Uses of ITextViewer in org.eclipse.jface.text.hyperlink

Methods in org.eclipse.jface.text.hyperlink with parameters of type ITextViewer
Modifier and Type
Method
Description
`IHyperlink[]`
IHyperlinkDetector.`detectHyperlinks(ITextViewer textViewer, IRegion region, boolean canShowMultipleHyperlinks)`
Tries to detect hyperlinks for the given region in the given text viewer and returns them.
`IHyperlink[]`
URLHyperlinkDetector.`detectHyperlinks(ITextViewer textViewer, IRegion region, boolean canShowMultipleHyperlinks)`
`void`
DefaultHyperlinkPresenter.`install(ITextViewer textViewer)`
`void`
HyperlinkManager.`install(ITextViewer textViewer, IHyperlinkPresenter hyperlinkPresenter, IHyperlinkDetector[] hyperlinkDetectors, int eventStateMask)`
Installs this hyperlink manager with the given arguments.
`void`
IHyperlinkPresenter.`install(ITextViewer textViewer)`
Installs this hyperlink presenter on the given text viewer.
`void`
MultipleHyperlinkPresenter.`install(ITextViewer viewer)`
Constructors in org.eclipse.jface.text.hyperlink with parameters of type ITextViewer
Modifier
Constructor
Description
``
`URLHyperlinkDetector(ITextViewer textViewer)`
Deprecated.
As of 3.2, replaced by `URLHyperlinkDetector`

## Uses of ITextViewer in org.eclipse.jface.text.information

Methods in org.eclipse.jface.text.information with parameters of type ITextViewer
Modifier and Type
Method
Description
`String`
IInformationProvider.`getInformation(ITextViewer textViewer, IRegion subject)`
Deprecated.
As of 2.1, replaced by `IInformationProviderExtension.getInformation2(ITextViewer, IRegion)`
`Object`
IInformationProviderExtension.`getInformation2(ITextViewer textViewer, IRegion subject)`
Returns the element for the given subject or `null` if no element is available.
`IRegion`
IInformationProvider.`getSubject(ITextViewer textViewer, int offset)`
Returns the region of the text viewer's document close to the given offset that contains a subject about which information can be provided.
`void`
IInformationPresenter.`install(ITextViewer textViewer)`
Installs the information presenter on the given text viewer.
`void`
InformationPresenter.`install(ITextViewer textViewer)`

## Uses of ITextViewer in org.eclipse.jface.text.link

Methods in org.eclipse.jface.text.link that return ITextViewer
Modifier and Type
Method
Description
`abstract ITextViewer`
LinkedModeUI.LinkedModeUITarget.`getViewer()`
Returns the viewer represented by this target, never `null`.
Methods in org.eclipse.jface.text.link with parameters of type ITextViewer
Modifier and Type
Method
Description
`void`
LinkedModeUI.`setExitPosition(ITextViewer viewer, int offset, int length, int sequence)`
Sets the exit position to move the caret to when linked mode is exited.
Constructors in org.eclipse.jface.text.link with parameters of type ITextViewer
Modifier
Constructor
Description
``
`LinkedModeUI(LinkedModeModel model, ITextViewer viewer)`
Convenience constructor for just one viewer.
``
`LinkedModeUI(LinkedModeModel model, ITextViewer[] viewers)`
Convenience constructor for multiple viewers.

## Uses of ITextViewer in org.eclipse.jface.text.presentation

Methods in org.eclipse.jface.text.presentation with parameters of type ITextViewer
Modifier and Type
Method
Description
`void`
IPresentationReconciler.`install(ITextViewer viewer)`
Installs this presentation reconciler on the given text viewer.
`void`
PresentationReconciler.`install(ITextViewer viewer)`

## Uses of ITextViewer in org.eclipse.jface.text.reconciler

Methods in org.eclipse.jface.text.reconciler that return ITextViewer
Modifier and Type
Method
Description
`protected ITextViewer`
AbstractReconciler.`getTextViewer()`
Returns the text viewer this reconciler is installed on.
Methods in org.eclipse.jface.text.reconciler with parameters of type ITextViewer
Modifier and Type
Method
Description
`void`
AbstractReconciler.`install(ITextViewer textViewer)`
`void`
IReconciler.`install(ITextViewer textViewer)`
Installs the reconciler on the given text viewer.
`void`
MonoReconciler.`install(ITextViewer textViewer)`
`void`
Reconciler.`install(ITextViewer textViewer)`

## Uses of ITextViewer in org.eclipse.jface.text.source

Subinterfaces of ITextViewer in org.eclipse.jface.text.source
Modifier and Type
Interface
Description
`interface`
`ISourceViewer`
In addition to the text viewer functionality a source viewer supports: visual annotations based on an annotation model visual range indication management of text viewer add-ons explicit configuration It is assumed that range indication and visual annotations are shown inside the same presentation area.
Classes in org.eclipse.jface.text.source that implement ITextViewer
Modifier and Type
Class
Description
`class`
`SourceViewer`
SWT based implementation of `ISourceViewer` and its extension interfaces.
Methods in org.eclipse.jface.text.source that return ITextViewer
Modifier and Type
Method
Description
`protected ITextViewer`
AnnotationRulerColumn.`getCachedTextViewer()`
Returns the cached text viewer.
`ITextViewer`
CompositeRuler.`getTextViewer()`
Returns this ruler's text viewer.
Methods in org.eclipse.jface.text.source with parameters of type ITextViewer
Modifier and Type
Method
Description
`Control`
CompositeRuler.`createControl(Composite parent, ITextViewer textViewer)`
`Control`
IVerticalRuler.`createControl(Composite parent, ITextViewer textViewer)`
Creates the ruler's SWT control.
`Control`
OverviewRuler.`createControl(Composite parent, ITextViewer textViewer)`
`Control`
VerticalRuler.`createControl(Composite parent, ITextViewer textViewer)`
`protected static final int`
CompositeRuler.`widgetLine2ModelLine(ITextViewer viewer, int widgetLine)`
Returns the line in the given viewer's document that correspond to the given line of the viewer's widget.
`protected static final int`
VerticalRuler.`widgetLine2ModelLine(ITextViewer viewer, int widgetLine)`
Returns the line of the viewer's document that corresponds to the given widget line.

## Uses of ITextViewer in org.eclipse.jface.text.source.projection

Classes in org.eclipse.jface.text.source.projection that implement ITextViewer
Modifier and Type
Class
Description
`class`
`ProjectionViewer`
A projection source viewer is a source viewer which supports multiple visible regions which can dynamically be changed.

## Uses of ITextViewer in org.eclipse.jface.text.templates

Methods in org.eclipse.jface.text.templates with parameters of type ITextViewer
Modifier and Type
Method
Description
`void`
TemplateProposal.`apply(ITextViewer viewer, char trigger, int stateMask, int offset)`
Inserts the template offered by this proposal into the viewer's document and sets up a `LinkedModeUI` on the viewer to edit any of the template's unresolved variables.
`ICompletionProposal[]`
TemplateCompletionProcessor.`computeCompletionProposals(ITextViewer viewer, int offset)`
`IContextInformation[]`
TemplateCompletionProcessor.`computeContextInformation(ITextViewer viewer, int documentOffset)`
`protected TemplateContext`
TemplateCompletionProcessor.`createContext(ITextViewer viewer, IRegion region)`
Creates a concrete template context for the given region in the document.
`protected String`
TemplateCompletionProcessor.`extractPrefix(ITextViewer viewer, int offset)`
Heuristically extracts the prefix used for determining template relevance from the viewer's document.
`protected abstract TemplateContextType`
TemplateCompletionProcessor.`getContextType(ITextViewer viewer, IRegion region)`
Returns the context type that can handle template insertion at the given region in the viewer's document.
`void`
TemplateProposal.`selected(ITextViewer viewer, boolean smartToggle)`
`void`
TemplateProposal.`unselected(ITextViewer viewer)`

## Uses of ITextViewer in org.eclipse.ui.console

Classes in org.eclipse.ui.console that implement ITextViewer
Modifier and Type
Class
Description
`class`
`TextConsoleViewer`
Default viewer used to display a `TextConsole`.

## Uses of ITextViewer in org.eclipse.ui.console.actions

Fields in org.eclipse.ui.console.actions declared as ITextViewer
Modifier and Type
Field
Description
`protected ITextViewer`
TextViewerGotoLineAction.`fTextViewer`
Constructors in org.eclipse.ui.console.actions with parameters of type ITextViewer
Modifier
Constructor
Description
``
`ClearOutputAction(ITextViewer viewer)`
Constructs an action to clear the document associated with a text viewer.
``
`TextViewerAction(ITextViewer viewer, int operationCode)`
Constructs a new action in the given text viewer with the specified operation code.
``
`TextViewerGotoLineAction(ITextViewer viewer)`
Constructs a goto line action for the viewer using the provided resource bundle.

## Uses of ITextViewer in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor with parameters of type ITextViewer
Modifier and Type
Method
Description
`ICompletionProposal[]`
HippieProposalProcessor.`computeCompletionProposals(ITextViewer viewer, int offset)`
`IContextInformation[]`
HippieProposalProcessor.`computeContextInformation(ITextViewer viewer, int offset)`
`protected static final boolean`
MarkRegionTarget.`isVisible(ITextViewer viewer, int offset)`
Tells whether the given offset is visible in the given text viewer.
Constructors in org.eclipse.ui.texteditor with parameters of type ITextViewer
Modifier
Constructor
Description
``
`MarkRegionTarget(ITextViewer viewer, IStatusLineManager manager)`
Creates a MarkRegionTaret.
``
`MoveLinesAction(ResourceBundle bundle, String prefix, ITextEditor editor, ITextViewer textViewer, boolean upwards, boolean copy)`
Creates and initializes the action for the given text editor.
``
`TextViewerDeleteLineTarget(ITextViewer viewer)`
Creates a new target.

## Uses of ITextViewer in org.eclipse.ui.texteditor.link

Constructors in org.eclipse.ui.texteditor.link with parameters of type ITextViewer
Modifier
Constructor
Description
``
`EditorLinkedModeUI(LinkedModeModel model, ITextViewer viewer)`
``
`EditorLinkedModeUI(LinkedModeModel model, ITextViewer[] viewers)`